Subject: bug#641: format-time-string %Z does not work, starting with Emacs 22.2

From: Stefan Monnier <[email-masked]>
Date: Fri, 08 Aug 2008 14:46:44 -0400

>> IOW, we should give users _both_ possibilities unambiguously: Posix-only and
>> possibly-non-Posix, better-than-nothing, YMMV, human-readable name.
>> 
>> We can do that by introducing a new format key, in addition to %Z.

> I'm okay with having a new format, or with adding a function that
> would return a time-zone name that is just a string, not the spec
> codified by Posix.  (It could return strings like "Asia/Riyadh" on
> Posix platforms.)

I could live with it, tho its usefulness is far from obvious.
In any case it would not be for Emacs-23 and I'd recommend potential
hackers to work on something else as that's more likely to be useful.

        Stefan